## datasette 0.65.2+ds

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Datasette
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml:
	sphinx-autobuild -b html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(0)

## datasette 0.65.2

=== debian/changelog ===
datasette (0.65.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1120835)

 -- Mahangu Weerasinghe <mahangu@gmail.com>  Tue, 18 Nov 2025 10:15:00 +0530

=== debian/control ===
Source: datasette
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Mahangu Weerasinghe <mahangu@gmail.com>
Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-pytest-runner,
                python3-asgiref,
                python3-click,
                python3-click-default-group,
                python3-jinja2,
                python3-hupper,
                python3-httpx,
                python3-pluggy,
                python3-uvicorn,
                python3-aiofiles,
                python3-janus,
                python3-asgi-csrf,
                python3-yaml,
                python3-mergedeep,
                python3-itsdangerous,
                python3-pip,
                python3-platformdirs,
                python3-typing-extensions,
                python3-flexcache,
                python3-flexparser
Standards-Version: 4.7.2
Homepage: https://datasette.io/
Vcs-Browser: https://salsa.debian.org/python-team/packages/datasette
Vcs-Git: https://salsa.debian.org/python-team/packages/datasette.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: datasette
Architecture: all
Depends: ${python3:Depends},
          ${misc:Depends},
          python3-asgiref,
          python3-click,
          python3-click-default-group,
          python3-jinja2,
          python3-hupper,
          python3-httpx,
          python3-pluggy,
          python3-uvicorn,
          python3-aiofiles,
          python3-janus,
          python3-asgi-csrf,
          python3-yaml,
          python3-mergedeep,
          python3-itsdangerous,
          python3-pip,
          python3-platformdirs,
          python3-typing-extensions,
          python3-flexcache,
          python3-flexparser
Description: Multi-tool for exploring and publishing data
 Datasette is a tool for exploring and publishing data. It helps people
 take data of any shape or size and publish that as an interactive,
 explorable website and accompanying API.
 .
 Datasette is aimed at data journalists, museum curators, archivists,
 local governments and anyone else who has data that they wish to share
 with the world.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=datasette

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf .eggs .pybuild *.egg-info build
	dh_auto_clean

=== debian/watch ===
Version: 5
Template: GitHub
Owner: simonw
Project: datasette

## datasette 0.65.2+ds

=== debian/changelog ===
datasette (0.65.2+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1120835)

 -- Mahangu Weerasinghe <mahangu@gmail.com>  Fri, 05 Dec 2025 08:23:36 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME=datasette
export PYBUILD_DESTDIR_python3=debian/datasette
export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs

# Test exclusions:
# - test_black.py, test_docs.py: require black/sphinx modules not needed at runtime
# - test_publish_*.py: require network access
# - test_cli_serve_server.py: requires installed datasette binary
# - Individual tests using result.stderr: Click CliRunner compatibility issue
# - test_database_page: Unicode handling difference in build environment
export PYBUILD_TEST_ARGS=--ignore=tests/test_black.py \
	--ignore=tests/test_docs.py \
	--ignore=tests/test_publish_cloudrun.py \
	--ignore=tests/test_publish_heroku.py \
	--ignore=tests/test_cli_serve_server.py \
	-k 'not test_serve_invalid_ports \
	and not test_setting_type_validation \
	and not test_sql_errors_logged_to_stderr \
	and not test_error_on_config_json \
	and not test_crossdb_warning_if_too_many_databases \
	and not test_database_page'

%:
	dh $@ --buildsystem=pybuild

ifeq ($(DEB_HOST_ARCH_BITS),32)
override_dh_auto_test:
	# Reduce stack on 32bit archs to 1MB to avoid address space exhaustion
	ulimit -s 1024 && dh_auto_test
endif

execute_after_dh_auto_build:
	PYTHONPATH={build_dir} \
		help2man --no-info --no-discard-stderr \
		--name="multi-tool for exploring and publishing data" \
		--output=debian/datasette.1 \
		"python3 -m datasette"

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$$(dirname $$(find .pybuild/ -type d -name "datasette*dist-info" | head -n1)) \
		python3 -m sphinx -b html docs/ -E -N \
		debian/datasette-doc/usr/share/doc/datasette-doc/html/
	dh_sphinxdoc
endif

=== debian/watch ===
Version: 5
Template: GitHub
Owner: simonw
Project: datasette
Uversion-Mangle: s/(a|alpha|b|beta|c|dev|pre|rc)/~$1/
Dversionmangle: s/\+ds//
Repacksuffix: +ds
